<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE TS>
<TS version="2.1" language="en_US">
<context>
    <name>AddBarcode</name>
    <message>
        <location filename="../addbarcode.ui" line="14"/>
        <source>Form</source>
        <translation>Form</translation>
    </message>
    <message>
        <location filename="../addbarcode.ui" line="34"/>
        <source>Notice:Please enter a 16-character barcode!</source>
        <translation>Notice:Please enter a 16-character barcode!</translation>
    </message>
    <message>
        <location filename="../addbarcode.ui" line="56"/>
        <source>Barcode：</source>
        <translation>Barcode：</translation>
    </message>
    <message>
        <location filename="../addbarcode.cpp" line="9"/>
        <location filename="../addbarcode.cpp" line="34"/>
        <location filename="../addbarcode.cpp" line="38"/>
        <source>Notice</source>
        <translation>Notice</translation>
    </message>
    <message>
        <location filename="../addbarcode.cpp" line="34"/>
        <source>The Barcode is empty!</source>
        <translation>The Barcode is empty!</translation>
    </message>
    <message>
        <location filename="../addbarcode.cpp" line="38"/>
        <source>The Barcode length does not meet requirement!</source>
        <translation>The Barcode length does not meet requirement!</translation>
    </message>
</context>
<context>
    <name>BMSMainWin</name>
    <message>
        <location filename="../bmsmainwin.ui" line="20"/>
        <source>BMSMainWin</source>
        <translation>BMSMainWin</translation>
    </message>
    <message>
        <location filename="../bmsmainwin.ui" line="671"/>
        <source>语言测试</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../bmsmainwin.ui" line="1534"/>
        <source>Starting number:</source>
        <translation>Starting number:</translation>
    </message>
    <message>
        <location filename="../bmsmainwin.ui" line="3287"/>
        <source>Battery</source>
        <translation>Battery</translation>
    </message>
    <message>
        <location filename="../bmsmainwin.ui" line="87"/>
        <source>Serial</source>
        <translation>Serial</translation>
    </message>
    <message>
        <location filename="../bmsmainwin.ui" line="168"/>
        <source>Port:</source>
        <translation>Port:</translation>
    </message>
    <message>
        <location filename="../bmsmainwin.ui" line="217"/>
        <source>BaudRate:</source>
        <translation>BaudRate:</translation>
    </message>
    <message>
        <location filename="../bmsmainwin.ui" line="269"/>
        <source>DataBits:</source>
        <translation>DataBits:</translation>
    </message>
    <message>
        <location filename="../bmsmainwin.ui" line="318"/>
        <source>StopBits:</source>
        <translation>StopBits:</translation>
    </message>
    <message>
        <location filename="../bmsmainwin.ui" line="373"/>
        <source>ParityBit:</source>
        <translation>ParityBit:</translation>
    </message>
    <message>
        <location filename="../bmsmainwin.ui" line="428"/>
        <source>Login</source>
        <translation>Login</translation>
    </message>
    <message>
        <location filename="../bmsmainwin.ui" line="441"/>
        <source>Logout</source>
        <translation>Logout</translation>
    </message>
    <message>
        <location filename="../bmsmainwin.ui" line="727"/>
        <source>ReceiveMess</source>
        <translation>ReceiveMess</translation>
    </message>
    <message>
        <location filename="../bmsmainwin.ui" line="818"/>
        <source>Mess</source>
        <translation>Mess</translation>
    </message>
    <message>
        <location filename="../bmsmainwin.ui" line="845"/>
        <source>pwr</source>
        <translation>pwr</translation>
    </message>
    <message>
        <location filename="../bmsmainwin.ui" line="864"/>
        <source>Send</source>
        <translation>Send</translation>
    </message>
    <message>
        <location filename="../bmsmainwin.ui" line="883"/>
        <location filename="../bmsmainwin.cpp" line="3946"/>
        <source>stop</source>
        <translation>stop</translation>
    </message>
    <message>
        <location filename="../bmsmainwin.ui" line="941"/>
        <source>bat</source>
        <translation>bat</translation>
    </message>
    <message>
        <location filename="../bmsmainwin.ui" line="960"/>
        <source>info</source>
        <translation>info</translation>
    </message>
    <message>
        <location filename="../bmsmainwin.ui" line="985"/>
        <source>config default</source>
        <translation>config default</translation>
    </message>
    <message>
        <location filename="../bmsmainwin.ui" line="1477"/>
        <location filename="../bmsmainwin.cpp" line="516"/>
        <source>Number of events:</source>
        <translation>Number of events:</translation>
    </message>
    <message>
        <location filename="../bmsmainwin.ui" line="1493"/>
        <location filename="../bmsmainwin.cpp" line="2910"/>
        <source>Number of histories: </source>
        <translation>Number of histories: </translation>
    </message>
    <message>
        <location filename="../bmsmainwin.ui" line="1927"/>
        <source>第1页</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../bmsmainwin.ui" line="2903"/>
        <source>第2页</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../bmsmainwin.ui" line="3685"/>
        <source>Tools</source>
        <translation>Tools</translation>
    </message>
    <message>
        <location filename="../bmsmainwin.ui" line="3694"/>
        <source>Language</source>
        <translation>Language</translation>
    </message>
    <message>
        <location filename="../bmsmainwin.ui" line="3715"/>
        <source>Console</source>
        <translation>Console</translation>
    </message>
    <message>
        <location filename="../bmsmainwin.ui" line="3720"/>
        <source>Exit Console</source>
        <translation>Exit Console</translation>
    </message>
    <message>
        <location filename="../bmsmainwin.ui" line="3725"/>
        <source>Send File</source>
        <translation>Send File</translation>
    </message>
    <message>
        <location filename="../bmsmainwin.cpp" line="76"/>
        <location filename="../bmsmainwin.cpp" line="110"/>
        <location filename="../bmsmainwin.cpp" line="180"/>
        <location filename="../bmsmainwin.cpp" line="220"/>
        <location filename="../bmsmainwin.cpp" line="271"/>
        <location filename="../bmsmainwin.cpp" line="337"/>
        <location filename="../bmsmainwin.cpp" line="464"/>
        <location filename="../bmsmainwin.cpp" line="562"/>
        <location filename="../bmsmainwin.cpp" line="1945"/>
        <location filename="../bmsmainwin.cpp" line="1956"/>
        <location filename="../bmsmainwin.cpp" line="1985"/>
        <location filename="../bmsmainwin.cpp" line="2029"/>
        <location filename="../bmsmainwin.cpp" line="2034"/>
        <location filename="../bmsmainwin.cpp" line="2043"/>
        <location filename="../bmsmainwin.cpp" line="2048"/>
        <location filename="../bmsmainwin.cpp" line="2055"/>
        <location filename="../bmsmainwin.cpp" line="2070"/>
        <location filename="../bmsmainwin.cpp" line="2075"/>
        <location filename="../bmsmainwin.cpp" line="2084"/>
        <location filename="../bmsmainwin.cpp" line="2089"/>
        <location filename="../bmsmainwin.cpp" line="2096"/>
        <location filename="../bmsmainwin.cpp" line="2113"/>
        <location filename="../bmsmainwin.cpp" line="2261"/>
        <location filename="../bmsmainwin.cpp" line="2266"/>
        <location filename="../bmsmainwin.cpp" line="2281"/>
        <location filename="../bmsmainwin.cpp" line="2286"/>
        <location filename="../bmsmainwin.cpp" line="2760"/>
        <location filename="../bmsmainwin.cpp" line="2771"/>
        <location filename="../bmsmainwin.cpp" line="2775"/>
        <location filename="../bmsmainwin.cpp" line="2873"/>
        <location filename="../bmsmainwin.cpp" line="2886"/>
        <location filename="../bmsmainwin.cpp" line="3208"/>
        <location filename="../bmsmainwin.cpp" line="3213"/>
        <location filename="../bmsmainwin.cpp" line="3218"/>
        <location filename="../bmsmainwin.cpp" line="3512"/>
        <location filename="../bmsmainwin.cpp" line="3517"/>
        <location filename="../bmsmainwin.cpp" line="3522"/>
        <location filename="../bmsmainwin.cpp" line="3555"/>
        <location filename="../bmsmainwin.cpp" line="3560"/>
        <location filename="../bmsmainwin.cpp" line="3562"/>
        <location filename="../bmsmainwin.cpp" line="3586"/>
        <location filename="../bmsmainwin.cpp" line="3595"/>
        <location filename="../bmsmainwin.cpp" line="3621"/>
        <location filename="../bmsmainwin.cpp" line="3640"/>
        <location filename="../bmsmainwin.cpp" line="3644"/>
        <location filename="../bmsmainwin.cpp" line="3813"/>
        <source>Message</source>
        <translation>Message</translation>
    </message>
    <message>
        <location filename="../bmsmainwin.cpp" line="76"/>
        <location filename="../bmsmainwin.cpp" line="110"/>
        <location filename="../bmsmainwin.cpp" line="180"/>
        <location filename="../bmsmainwin.cpp" line="220"/>
        <location filename="../bmsmainwin.cpp" line="271"/>
        <location filename="../bmsmainwin.cpp" line="338"/>
        <source>In real-time rendering, can&apos;t switch pages!
Please click &quot;RTData OFF&quot;!</source>
        <translation>In real-time rendering, can&apos;t switch pages!
Please click &quot;RTData OFF&quot;!</translation>
    </message>
    <message>
        <location filename="../bmsmainwin.ui" line="1568"/>
        <location filename="../bmsmainwin.cpp" line="415"/>
        <source>1</source>
        <translation>1</translation>
    </message>
    <message>
        <location filename="../bmsmainwin.cpp" line="416"/>
        <source>1.5</source>
        <translation></translation>
    </message>
    <message>
        <location filename="../bmsmainwin.cpp" line="417"/>
        <source>2</source>
        <translation>2</translation>
    </message>
    <message>
        <location filename="../bmsmainwin.cpp" line="419"/>
        <source>None</source>
        <translation>None</translation>
    </message>
    <message>
        <location filename="../bmsmainwin.cpp" line="420"/>
        <source>Odd</source>
        <translation>Odd</translation>
    </message>
    <message>
        <location filename="../bmsmainwin.cpp" line="421"/>
        <source>Even</source>
        <translation>Even</translation>
    </message>
    <message>
        <location filename="../bmsmainwin.cpp" line="422"/>
        <source>Space</source>
        <translation>Space</translation>
    </message>
    <message>
        <location filename="../bmsmainwin.cpp" line="423"/>
        <source>Mark</source>
        <translation>Mark</translation>
    </message>
    <message>
        <location filename="../bmsmainwin.cpp" line="339"/>
        <location filename="../bmsmainwin.cpp" line="464"/>
        <source>The serial port is occupied or does not exist</source>
        <translation>The serial port is occupied or does not exist</translation>
    </message>
    <message>
        <location filename="../bmsmainwin.cpp" line="340"/>
        <location filename="../bmsmainwin.cpp" line="562"/>
        <location filename="../bmsmainwin.cpp" line="4196"/>
        <location filename="../bmsmainwin.cpp" line="4238"/>
        <source>The serial port not open, Please open!</source>
        <translation>The serial port not open, Please open!</translation>
    </message>
    <message>
        <location filename="../bmsmainwin.cpp" line="1387"/>
        <location filename="../bmsmainwin.cpp" line="4196"/>
        <location filename="../bmsmainwin.cpp" line="4201"/>
        <location filename="../bmsmainwin.cpp" line="4238"/>
        <location filename="../bmsmainwin.cpp" line="4243"/>
        <source>Notice</source>
        <translation>Notice</translation>
    </message>
    <message>
        <location filename="../bmsmainwin.cpp" line="378"/>
        <location filename="../bmsmainwin.cpp" line="1387"/>
        <source>The serial port not open, Please Login!</source>
        <translation>The serial port not open, Please Login!</translation>
    </message>
    <message>
        <location filename="../bmsmainwin.cpp" line="369"/>
        <location filename="../bmsmainwin.cpp" line="4201"/>
        <source>Can&apos;t update! &quot;Present Num&quot; Unknown.</source>
        <translation>Can&apos;t update! &quot;Present Num&quot; Unknown.</translation>
    </message>
    <message>
        <location filename="../bmsmainwin.cpp" line="341"/>
        <location filename="../bmsmainwin.cpp" line="1945"/>
        <source>Please click &quot;RTData ON&quot; first!</source>
        <translation>Please click &quot;RTData ON&quot; first!</translation>
    </message>
    <message>
        <location filename="../bmsmainwin.cpp" line="387"/>
        <location filename="../bmsmainwin.cpp" line="1023"/>
        <source>Command State: Unknown command</source>
        <translation>Command State: Unknown command</translation>
    </message>
    <message>
        <location filename="../bmsmainwin.cpp" line="388"/>
        <location filename="../bmsmainwin.cpp" line="1030"/>
        <source>Command State: fail to excute</source>
        <translation>Command State: fail to excute</translation>
    </message>
    <message>
        <location filename="../bmsmainwin.cpp" line="389"/>
        <location filename="../bmsmainwin.cpp" line="1035"/>
        <source>Command State: completed successfully</source>
        <translation>Command State: completed successfully</translation>
    </message>
    <message>
        <location filename="../bmsmainwin.cpp" line="1177"/>
        <location filename="../bmsmainwin.cpp" line="5243"/>
        <source>alarm&amp;protcet item</source>
        <translation>alarm&amp;protcet item</translation>
    </message>
    <message>
        <location filename="../bmsmainwin.cpp" line="1177"/>
        <location filename="../bmsmainwin.cpp" line="5243"/>
        <source>cell</source>
        <translation>cell</translation>
    </message>
    <message>
        <location filename="../bmsmainwin.cpp" line="1177"/>
        <location filename="../bmsmainwin.cpp" line="5243"/>
        <source>power</source>
        <translation>power</translation>
    </message>
    <message>
        <location filename="../bmsmainwin.cpp" line="1177"/>
        <location filename="../bmsmainwin.cpp" line="5243"/>
        <source>unit</source>
        <translation>unit</translation>
    </message>
    <message>
        <location filename="../bmsmainwin.cpp" line="1194"/>
        <location filename="../bmsmainwin.cpp" line="2929"/>
        <location filename="../bmsmainwin.cpp" line="2955"/>
        <location filename="../bmsmainwin.cpp" line="3233"/>
        <location filename="../bmsmainwin.cpp" line="3259"/>
        <location filename="../bmsmainwin.cpp" line="5252"/>
        <source>Item</source>
        <translation>Item</translation>
    </message>
    <message>
        <location filename="../bmsmainwin.cpp" line="1194"/>
        <location filename="../bmsmainwin.cpp" line="2929"/>
        <location filename="../bmsmainwin.cpp" line="2955"/>
        <location filename="../bmsmainwin.cpp" line="3233"/>
        <location filename="../bmsmainwin.cpp" line="3259"/>
        <location filename="../bmsmainwin.cpp" line="5252"/>
        <source>Date</source>
        <translation>Date</translation>
    </message>
    <message>
        <location filename="../bmsmainwin.cpp" line="1194"/>
        <location filename="../bmsmainwin.cpp" line="2929"/>
        <location filename="../bmsmainwin.cpp" line="2955"/>
        <location filename="../bmsmainwin.cpp" line="3233"/>
        <location filename="../bmsmainwin.cpp" line="3259"/>
        <location filename="../bmsmainwin.cpp" line="5252"/>
        <source>Time</source>
        <translation>Time</translation>
    </message>
    <message>
        <location filename="../bmsmainwin.cpp" line="1194"/>
        <location filename="../bmsmainwin.cpp" line="2929"/>
        <location filename="../bmsmainwin.cpp" line="2955"/>
        <location filename="../bmsmainwin.cpp" line="3233"/>
        <location filename="../bmsmainwin.cpp" line="3259"/>
        <location filename="../bmsmainwin.cpp" line="4419"/>
        <location filename="../bmsmainwin.cpp" line="5228"/>
        <location filename="../bmsmainwin.cpp" line="5252"/>
        <source>Volt</source>
        <translation>Volt</translation>
    </message>
    <message>
        <location filename="../bmsmainwin.cpp" line="1194"/>
        <location filename="../bmsmainwin.cpp" line="2929"/>
        <location filename="../bmsmainwin.cpp" line="2955"/>
        <location filename="../bmsmainwin.cpp" line="3233"/>
        <location filename="../bmsmainwin.cpp" line="3259"/>
        <location filename="../bmsmainwin.cpp" line="4461"/>
        <location filename="../bmsmainwin.cpp" line="5233"/>
        <location filename="../bmsmainwin.cpp" line="5252"/>
        <source>Current</source>
        <translation>Current</translation>
    </message>
    <message>
        <location filename="../bmsmainwin.cpp" line="1194"/>
        <location filename="../bmsmainwin.cpp" line="2929"/>
        <location filename="../bmsmainwin.cpp" line="2955"/>
        <location filename="../bmsmainwin.cpp" line="3233"/>
        <location filename="../bmsmainwin.cpp" line="3259"/>
        <location filename="../bmsmainwin.cpp" line="4503"/>
        <location filename="../bmsmainwin.cpp" line="5238"/>
        <location filename="../bmsmainwin.cpp" line="5252"/>
        <source>Temp</source>
        <translation>Temp</translation>
    </message>
    <message>
        <location filename="../bmsmainwin.cpp" line="1195"/>
        <location filename="../bmsmainwin.cpp" line="2930"/>
        <location filename="../bmsmainwin.cpp" line="2956"/>
        <location filename="../bmsmainwin.cpp" line="3234"/>
        <location filename="../bmsmainwin.cpp" line="3260"/>
        <location filename="../bmsmainwin.cpp" line="5253"/>
        <source>Min. temp of cell</source>
        <translation>Min. temp of cell</translation>
    </message>
    <message>
        <location filename="../bmsmainwin.cpp" line="1195"/>
        <location filename="../bmsmainwin.cpp" line="2930"/>
        <location filename="../bmsmainwin.cpp" line="2956"/>
        <location filename="../bmsmainwin.cpp" line="3234"/>
        <location filename="../bmsmainwin.cpp" line="3260"/>
        <location filename="../bmsmainwin.cpp" line="5253"/>
        <source>Max. temp of cell</source>
        <translation>Max. temp of cell</translation>
    </message>
    <message>
        <location filename="../bmsmainwin.cpp" line="1195"/>
        <location filename="../bmsmainwin.cpp" line="2930"/>
        <location filename="../bmsmainwin.cpp" line="2956"/>
        <location filename="../bmsmainwin.cpp" line="3234"/>
        <location filename="../bmsmainwin.cpp" line="3260"/>
        <location filename="../bmsmainwin.cpp" line="5253"/>
        <source>Min. voltage of cell</source>
        <translation>Min. voltage of cell</translation>
    </message>
    <message>
        <location filename="../bmsmainwin.cpp" line="1196"/>
        <location filename="../bmsmainwin.cpp" line="2931"/>
        <location filename="../bmsmainwin.cpp" line="2957"/>
        <location filename="../bmsmainwin.cpp" line="3235"/>
        <location filename="../bmsmainwin.cpp" line="3261"/>
        <location filename="../bmsmainwin.cpp" line="5254"/>
        <source>Max. voltage of cell</source>
        <translation>Max. voltage of cell</translation>
    </message>
    <message>
        <location filename="../bmsmainwin.cpp" line="1196"/>
        <location filename="../bmsmainwin.cpp" line="2931"/>
        <location filename="../bmsmainwin.cpp" line="2957"/>
        <location filename="../bmsmainwin.cpp" line="3235"/>
        <location filename="../bmsmainwin.cpp" line="3261"/>
        <location filename="../bmsmainwin.cpp" line="5254"/>
        <source>Base Status</source>
        <translation>Base Status</translation>
    </message>
    <message>
        <location filename="../bmsmainwin.cpp" line="1196"/>
        <location filename="../bmsmainwin.cpp" line="2931"/>
        <location filename="../bmsmainwin.cpp" line="2957"/>
        <location filename="../bmsmainwin.cpp" line="3235"/>
        <location filename="../bmsmainwin.cpp" line="3261"/>
        <location filename="../bmsmainwin.cpp" line="5254"/>
        <source>Voltage Status</source>
        <translation>Voltage Status</translation>
    </message>
    <message>
        <location filename="../bmsmainwin.cpp" line="1197"/>
        <location filename="../bmsmainwin.cpp" line="2932"/>
        <location filename="../bmsmainwin.cpp" line="2958"/>
        <location filename="../bmsmainwin.cpp" line="3236"/>
        <location filename="../bmsmainwin.cpp" line="3262"/>
        <location filename="../bmsmainwin.cpp" line="5255"/>
        <source>Events</source>
        <translation>Events</translation>
    </message>
    <message>
        <location filename="../bmsmainwin.cpp" line="1197"/>
        <location filename="../bmsmainwin.cpp" line="2932"/>
        <location filename="../bmsmainwin.cpp" line="2958"/>
        <location filename="../bmsmainwin.cpp" line="3236"/>
        <location filename="../bmsmainwin.cpp" line="3262"/>
        <location filename="../bmsmainwin.cpp" line="5255"/>
        <source>Current Status</source>
        <translation>Current Status</translation>
    </message>
    <message>
        <location filename="../bmsmainwin.cpp" line="1197"/>
        <location filename="../bmsmainwin.cpp" line="2932"/>
        <location filename="../bmsmainwin.cpp" line="2958"/>
        <location filename="../bmsmainwin.cpp" line="3236"/>
        <location filename="../bmsmainwin.cpp" line="3262"/>
        <location filename="../bmsmainwin.cpp" line="5255"/>
        <source>Temp Status</source>
        <translation>Temp Status</translation>
    </message>
    <message>
        <location filename="../bmsmainwin.cpp" line="1228"/>
        <location filename="../bmsmainwin.cpp" line="5216"/>
        <source>Transmit progress:</source>
        <translation>Transmit progress:</translation>
    </message>
    <message>
        <location filename="../bmsmainwin.cpp" line="1268"/>
        <source>System Time:</source>
        <translation>System Time:</translation>
    </message>
    <message>
        <location filename="../bmsmainwin.cpp" line="1276"/>
        <location filename="../bmsmainwin.cpp" line="5215"/>
        <source>Command State:</source>
        <translation>Command State:</translation>
    </message>
    <message>
        <location filename="../bmsmainwin.cpp" line="342"/>
        <location filename="../bmsmainwin.cpp" line="1956"/>
        <source>Can&apos;t download, Please click &quot;RTData OFF&quot;!</source>
        <translation>Can&apos;t download, Please click &quot;RTData OFF&quot;!</translation>
    </message>
    <message>
        <location filename="../bmsmainwin.cpp" line="379"/>
        <location filename="../bmsmainwin.cpp" line="1964"/>
        <location filename="../bmsmainwin.cpp" line="2009"/>
        <location filename="../bmsmainwin.cpp" line="2137"/>
        <source>choose a file</source>
        <translation>choose a file</translation>
    </message>
    <message>
        <location filename="../bmsmainwin.cpp" line="343"/>
        <location filename="../bmsmainwin.cpp" line="1985"/>
        <source>Can&apos;t clean all, Please click &quot;RTData OFF&quot;!</source>
        <translation>Can&apos;t clean all, Please click &quot;RTData OFF&quot;!</translation>
    </message>
    <message>
        <location filename="../bmsmainwin.cpp" line="344"/>
        <location filename="../bmsmainwin.cpp" line="2029"/>
        <source>Can&apos;t click &quot;Event&quot;, Please click &quot;continue&quot; or click &quot;reflash&quot; or wait!</source>
        <translation>Can&apos;t click &quot;Event&quot;, Please click &quot;continue&quot; or click &quot;reflash&quot; or wait!</translation>
    </message>
    <message>
        <source>Can&apos;t continue, Please click &quot;Event&quot;!</source>
        <translation type="vanished">Can&apos;t continue, Please click &quot;Event&quot;!</translation>
    </message>
    <message>
        <location filename="../bmsmainwin.cpp" line="346"/>
        <location filename="../bmsmainwin.cpp" line="2122"/>
        <location filename="../bmsmainwin.cpp" line="2180"/>
        <location filename="../bmsmainwin.cpp" line="2187"/>
        <location filename="../bmsmainwin.cpp" line="2205"/>
        <location filename="../bmsmainwin.cpp" line="4004"/>
        <location filename="../bmsmainwin.cpp" line="4056"/>
        <location filename="../bmsmainwin.cpp" line="4062"/>
        <location filename="../bmsmainwin.cpp" line="4206"/>
        <location filename="../bmsmainwin.cpp" line="4219"/>
        <location filename="../bmsmainwin.cpp" line="4248"/>
        <location filename="../bmsmainwin.cpp" line="4263"/>
        <location filename="../bmsmainwin.cpp" line="4295"/>
        <location filename="../bmsmainwin.cpp" line="4317"/>
        <location filename="../bmsmainwin.cpp" line="4323"/>
        <source>warning</source>
        <translation>warning</translation>
    </message>
    <message>
        <location filename="../bmsmainwin.cpp" line="347"/>
        <location filename="../bmsmainwin.cpp" line="2122"/>
        <location filename="../bmsmainwin.cpp" line="4004"/>
        <source>The operation is too frequent!
Please try again later!</source>
        <translation>The operation is too frequent!
Please try again later!</translation>
    </message>
    <message>
        <location filename="../bmsmainwin.cpp" line="391"/>
        <location filename="../bmsmainwin.cpp" line="2180"/>
        <source>Data is invalid</source>
        <translation>Data is invalid</translation>
    </message>
    <message>
        <location filename="../bmsmainwin.cpp" line="392"/>
        <location filename="../bmsmainwin.cpp" line="2187"/>
        <source>Index is invalid</source>
        <translation>Index is invalid</translation>
    </message>
    <message>
        <location filename="../bmsmainwin.cpp" line="2075"/>
        <source>Can&apos;t click &quot;History&quot;, the event record is being viewed!</source>
        <translation>Can&apos;t click &quot;History&quot;, the event record is being viewed!</translation>
    </message>
    <message>
        <location filename="../bmsmainwin.cpp" line="2084"/>
        <source>The number of histories is zero or histories not obtained!</source>
        <translation>The number of histories is zero or histories not obtained!</translation>
    </message>
    <message>
        <location filename="../bmsmainwin.cpp" line="2198"/>
        <source>finish</source>
        <translation>finish</translation>
    </message>
    <message>
        <location filename="../bmsmainwin.cpp" line="394"/>
        <location filename="../bmsmainwin.cpp" line="2205"/>
        <source>Historical data table export failed, please try again!</source>
        <translation>Historical data table export failed, please try again!</translation>
    </message>
    <message>
        <location filename="../bmsmainwin.cpp" line="380"/>
        <location filename="../bmsmainwin.cpp" line="2261"/>
        <source>The Mos open success!</source>
        <translation>The Mos open success!</translation>
    </message>
    <message>
        <location filename="../bmsmainwin.cpp" line="381"/>
        <location filename="../bmsmainwin.cpp" line="2266"/>
        <source>The Mos open fail!</source>
        <translation>The Mos open fail!</translation>
    </message>
    <message>
        <location filename="../bmsmainwin.cpp" line="382"/>
        <location filename="../bmsmainwin.cpp" line="2281"/>
        <source>The Mos close success!</source>
        <translation>The Mos close success!</translation>
    </message>
    <message>
        <location filename="../bmsmainwin.cpp" line="383"/>
        <location filename="../bmsmainwin.cpp" line="2286"/>
        <source>The Mos close fail!</source>
        <translation>The Mos close fail!</translation>
    </message>
    <message>
        <location filename="../bmsmainwin.cpp" line="348"/>
        <location filename="../bmsmainwin.cpp" line="2316"/>
        <source>Error</source>
        <translation>Error</translation>
    </message>
    <message>
        <location filename="../bmsmainwin.cpp" line="350"/>
        <location filename="../bmsmainwin.cpp" line="2760"/>
        <source>RTdata on succcess!</source>
        <translation>RTdata on succcess!</translation>
    </message>
    <message>
        <location filename="../bmsmainwin.cpp" line="351"/>
        <location filename="../bmsmainwin.cpp" line="2771"/>
        <source>RTdata off succcess!</source>
        <translation>RTdata off succcess!</translation>
    </message>
    <message>
        <location filename="../bmsmainwin.cpp" line="352"/>
        <location filename="../bmsmainwin.cpp" line="2775"/>
        <source>RTdata off fail! please click again!</source>
        <translation>RTdata off fail! please click again!</translation>
    </message>
    <message>
        <location filename="../bmsmainwin.cpp" line="384"/>
        <location filename="../bmsmainwin.cpp" line="2873"/>
        <source>The self-test finish!</source>
        <translation>The self-test finish!</translation>
    </message>
    <message>
        <location filename="../bmsmainwin.cpp" line="353"/>
        <location filename="../bmsmainwin.cpp" line="2886"/>
        <source>The event is empty!</source>
        <translation>The event is empty!</translation>
    </message>
    <message>
        <location filename="../bmsmainwin.cpp" line="2894"/>
        <source>Number of events: </source>
        <translation>Number of events: </translation>
    </message>
    <message>
        <location filename="../bmsmainwin.cpp" line="2899"/>
        <source>Number of events: --</source>
        <translation>Number of events: --</translation>
    </message>
    <message>
        <location filename="../bmsmainwin.cpp" line="2931"/>
        <location filename="../bmsmainwin.cpp" line="3235"/>
        <source>mask</source>
        <translation>mask</translation>
    </message>
    <message>
        <location filename="../bmsmainwin.cpp" line="354"/>
        <location filename="../bmsmainwin.cpp" line="3208"/>
        <source>The event Command completed successfully!</source>
        <translation>The event Command completed successfully!</translation>
    </message>
    <message>
        <location filename="../bmsmainwin.cpp" line="355"/>
        <location filename="../bmsmainwin.cpp" line="3213"/>
        <source>The event Command fail to excute!Please click &quot;Event&quot;!</source>
        <translation>The event Command fail to excute!Please click &quot;Event&quot;!</translation>
    </message>
    <message>
        <location filename="../bmsmainwin.cpp" line="356"/>
        <location filename="../bmsmainwin.cpp" line="3218"/>
        <source>The Unknown Command!Please click &quot;Event&quot;!</source>
        <translation>The Unknown Command!Please click &quot;Event&quot;!</translation>
    </message>
    <message>
        <location filename="../bmsmainwin.cpp" line="357"/>
        <location filename="../bmsmainwin.cpp" line="3555"/>
        <source>The HUB updata successful!</source>
        <translation>The HUB updata successful!</translation>
    </message>
    <message>
        <location filename="../bmsmainwin.cpp" line="358"/>
        <location filename="../bmsmainwin.cpp" line="3560"/>
        <source>The battery updata successful!</source>
        <translation>The battery updata successful!</translation>
    </message>
    <message>
        <location filename="../bmsmainwin.cpp" line="1197"/>
        <location filename="../bmsmainwin.cpp" line="2932"/>
        <location filename="../bmsmainwin.cpp" line="2958"/>
        <location filename="../bmsmainwin.cpp" line="3236"/>
        <location filename="../bmsmainwin.cpp" line="3262"/>
        <location filename="../bmsmainwin.cpp" line="5255"/>
        <source>Percent%</source>
        <translation>Percent%</translation>
    </message>
    <message>
        <location filename="../bmsmainwin.cpp" line="395"/>
        <location filename="../bmsmainwin.cpp" line="2043"/>
        <source>The number of events is zero or events not obtained!</source>
        <translation>The number of events is zero or events not obtained!</translation>
    </message>
    <message>
        <location filename="../bmsmainwin.cpp" line="396"/>
        <location filename="../bmsmainwin.cpp" line="2048"/>
        <location filename="../bmsmainwin.cpp" line="2089"/>
        <source>Please enter a number!</source>
        <translation>Please enter a number!</translation>
    </message>
    <message>
        <location filename="../bmsmainwin.cpp" line="397"/>
        <location filename="../bmsmainwin.cpp" line="2055"/>
        <location filename="../bmsmainwin.cpp" line="2096"/>
        <source>Please enter a number from 1 to %1!</source>
        <translation>Please enter a number from 1 to %1!</translation>
    </message>
    <message>
        <location filename="../bmsmainwin.cpp" line="393"/>
        <location filename="../bmsmainwin.cpp" line="2198"/>
        <source>Historical data table exported successfully!
would you like to view it now?</source>
        <translation>Historical data table exported successfully!
would you like to view it now?</translation>
    </message>
    <message>
        <location filename="../bmsmainwin.cpp" line="349"/>
        <location filename="../bmsmainwin.cpp" line="2316"/>
        <source>The serial port diconnect! Please check!</source>
        <translation>The serial port diconnect! Please check!</translation>
    </message>
    <message>
        <location filename="../bmsmainwin.cpp" line="2769"/>
        <source><byte value="xd"/>
finish</source>
        <translation>
finish</translation>
    </message>
    <message>
        <location filename="../bmsmainwin.cpp" line="359"/>
        <location filename="../bmsmainwin.cpp" line="3562"/>
        <source>Host upgraded successfully!
Please check the slave after %1 minutes!</source>
        <translation>Host upgraded successfully!
Please check the slave after %1 minutes!</translation>
    </message>
    <message>
        <location filename="../bmsmainwin.cpp" line="360"/>
        <location filename="../bmsmainwin.cpp" line="3586"/>
        <source>Version invalid!
Please check firmware!</source>
        <translation>Version invalid!
Please check firmware!</translation>
    </message>
    <message>
        <location filename="../bmsmainwin.cpp" line="361"/>
        <location filename="../bmsmainwin.cpp" line="3595"/>
        <source>Version without head!
Please check firmware!</source>
        <translation>Version without head!
Please check firmware!</translation>
    </message>
    <message>
        <location filename="../bmsmainwin.cpp" line="385"/>
        <location filename="../bmsmainwin.cpp" line="3621"/>
        <source>The initial configuration is successful!</source>
        <translation>The initial configuration is successful!</translation>
    </message>
    <message>
        <location filename="../bmsmainwin.cpp" line="362"/>
        <location filename="../bmsmainwin.cpp" line="3640"/>
        <source>Added barcode successfully!</source>
        <translation>Added barcode successfully!</translation>
    </message>
    <message>
        <location filename="../bmsmainwin.cpp" line="363"/>
        <location filename="../bmsmainwin.cpp" line="3644"/>
        <source>Added barcode fail!</source>
        <translation>Added barcode fail!</translation>
    </message>
    <message>
        <location filename="../bmsmainwin.cpp" line="390"/>
        <location filename="../bmsmainwin.cpp" line="3813"/>
        <source>The language has changed successfully!
Please restart if there is a problem with the interface!</source>
        <translation>The language has changed successfully!
Please restart if there is a problem with the interface!</translation>
    </message>
    <message>
        <location filename="../bmsmainwin.cpp" line="3862"/>
        <source>System Time: </source>
        <translation>System Time: </translation>
    </message>
    <message>
        <location filename="../bmsmainwin.cpp" line="3881"/>
        <source>
Transimit finish
</source>
        <translation>
Transimit finish
</translation>
    </message>
    <message>
        <location filename="../bmsmainwin.cpp" line="3900"/>
        <source>Please wait for the battery to upgrade !</source>
        <translation>Please wait for the battery to upgrade !</translation>
    </message>
    <message>
        <location filename="../bmsmainwin.cpp" line="3902"/>
        <source>Please wait for the host to upgrade !</source>
        <translation>Please wait for the host to upgrade !</translation>
    </message>
    <message>
        <location filename="../bmsmainwin.cpp" line="3919"/>
        <source>
Transimit cancel
</source>
        <translation>
Transimit cancel
</translation>
    </message>
    <message>
        <location filename="../bmsmainwin.cpp" line="364"/>
        <location filename="../bmsmainwin.cpp" line="3920"/>
        <location filename="../bmsmainwin.cpp" line="3963"/>
        <location filename="../bmsmainwin.cpp" line="3973"/>
        <source>Warning</source>
        <translation>Warning</translation>
    </message>
    <message>
        <location filename="../bmsmainwin.cpp" line="365"/>
        <location filename="../bmsmainwin.cpp" line="3920"/>
        <source>The bin file transfer is cancelled by receiver!</source>
        <translation>The bin file transfer is cancelled by receiver!</translation>
    </message>
    <message>
        <location filename="../bmsmainwin.cpp" line="2915"/>
        <source>Number of histories: --</source>
        <translation>Number of histories: --</translation>
    </message>
    <message>
        <location filename="../bmsmainwin.cpp" line="3941"/>
        <source>start</source>
        <translation>start</translation>
    </message>
    <message>
        <location filename="../bmsmainwin.cpp" line="3955"/>
        <source>
Transimit Start
</source>
        <translation>
Transimit Start
</translation>
    </message>
    <message>
        <location filename="../bmsmainwin.cpp" line="3962"/>
        <source>
Transimit Start TimeOut
</source>
        <translation>
Transimit Start TimeOut
</translation>
    </message>
    <message>
        <location filename="../bmsmainwin.cpp" line="366"/>
        <location filename="../bmsmainwin.cpp" line="3963"/>
        <source>Start transmission timeout!</source>
        <translation>Start transmission timeout!</translation>
    </message>
    <message>
        <location filename="../bmsmainwin.cpp" line="3972"/>
        <source>
TimeOut during transmission
</source>
        <translation>
TimeOut during transmission
</translation>
    </message>
    <message>
        <location filename="../bmsmainwin.cpp" line="367"/>
        <location filename="../bmsmainwin.cpp" line="3973"/>
        <source>TimeOut during transmission!</source>
        <translation>TimeOut during transmission!</translation>
    </message>
    <message>
        <location filename="../bmsmainwin.cpp" line="3992"/>
        <source>Transimit finish %1%</source>
        <translation>Transimit finish %1%</translation>
    </message>
    <message>
        <location filename="../bmsmainwin.cpp" line="386"/>
        <location filename="../bmsmainwin.cpp" line="4052"/>
        <location filename="../bmsmainwin.cpp" line="4313"/>
        <source>open File</source>
        <translation>open File</translation>
    </message>
    <message>
        <location filename="../bmsmainwin.cpp" line="4052"/>
        <location filename="../bmsmainwin.cpp" line="4313"/>
        <source>*.bin</source>
        <translation>*.bin</translation>
    </message>
    <message>
        <location filename="../bmsmainwin.cpp" line="4056"/>
        <location filename="../bmsmainwin.cpp" line="4317"/>
        <source>Did not select file!</source>
        <translation>Did not select file!</translation>
    </message>
    <message>
        <location filename="../bmsmainwin.cpp" line="368"/>
        <location filename="../bmsmainwin.cpp" line="4062"/>
        <location filename="../bmsmainwin.cpp" line="4323"/>
        <source>Open file error!</source>
        <translation>Open file error!</translation>
    </message>
    <message>
        <location filename="../bmsmainwin.cpp" line="370"/>
        <location filename="../bmsmainwin.cpp" line="4206"/>
        <location filename="../bmsmainwin.cpp" line="4219"/>
        <location filename="../bmsmainwin.cpp" line="4248"/>
        <source>Upgrading!Please wait!</source>
        <translation>Upgrading!Please wait!</translation>
    </message>
    <message>
        <location filename="../bmsmainwin.cpp" line="371"/>
        <location filename="../bmsmainwin.cpp" line="4243"/>
        <source>Can&apos;t update boot! &quot;Present Num&quot; Unknown.</source>
        <translation>Can&apos;t update boot! &quot;Present Num&quot; Unknown.</translation>
    </message>
    <message>
        <location filename="../bmsmainwin.cpp" line="372"/>
        <location filename="../bmsmainwin.cpp" line="4263"/>
        <source>Battery update error!
Please check battery or wake battery!</source>
        <translation>Battery update error!
Please check battery or wake battery!</translation>
    </message>
    <message>
        <location filename="../bmsmainwin.cpp" line="373"/>
        <location filename="../bmsmainwin.cpp" line="4269"/>
        <source>Entry Console</source>
        <translation>Entry Console</translation>
    </message>
    <message>
        <location filename="../bmsmainwin.cpp" line="374"/>
        <location filename="../bmsmainwin.cpp" line="4270"/>
        <source>Please enter the console password:</source>
        <translation>Please enter the console password:</translation>
    </message>
    <message>
        <location filename="../bmsmainwin.cpp" line="375"/>
        <location filename="../bmsmainwin.cpp" line="4295"/>
        <source>Wrong password! Please check password!</source>
        <translation>Wrong password! Please check password!</translation>
    </message>
    <message>
        <location filename="../bmsmainwin.cpp" line="1897"/>
        <source>Prechg Relay </source>
        <translation>Prechg Relay </translation>
    </message>
    <message>
        <location filename="../bmsmainwin.cpp" line="1902"/>
        <source>CMOS State </source>
        <translation>CMOS State </translation>
    </message>
    <message>
        <location filename="../bmsmainwin.cpp" line="1911"/>
        <source>Main Relay </source>
        <translation>Main Relay </translation>
    </message>
    <message>
        <location filename="../bmsmainwin.cpp" line="1916"/>
        <source>DMOS State </source>
        <translation>DMOS State </translation>
    </message>
    <message>
        <location filename="../bmsmainwin.cpp" line="2034"/>
        <source>Can&apos;t click &quot;Event&quot;, the history record is being viewed!</source>
        <translation>Can&apos;t click &quot;Event&quot;, the history record is being viewed!</translation>
    </message>
    <message>
        <location filename="../bmsmainwin.cpp" line="2070"/>
        <source>Can&apos;t click &quot;History&quot;, Please click &quot;continue&quot; or click &quot;reflash&quot; or wait!</source>
        <translation>Can&apos;t click &quot;History&quot;, Please click &quot;continue&quot; or click &quot;reflash&quot; or wait!</translation>
    </message>
    <message>
        <location filename="../bmsmainwin.cpp" line="345"/>
        <location filename="../bmsmainwin.cpp" line="2113"/>
        <source>Can&apos;t continue, Please click &quot;Event&quot; or &quot;History&quot;!</source>
        <translation>Can&apos;t continue, Please click &quot;Event&quot; or &quot;History&quot;!</translation>
    </message>
    <message>
        <location filename="../bmsmainwin.cpp" line="3512"/>
        <source>The history Command completed successfully!</source>
        <translation>The history Command completed successfully!</translation>
    </message>
    <message>
        <location filename="../bmsmainwin.cpp" line="3517"/>
        <source>The history Command fail to excute!Please click &quot;History&quot;!</source>
        <translation>The history Command fail to excute!Please click &quot;History&quot;!</translation>
    </message>
    <message>
        <location filename="../bmsmainwin.cpp" line="3522"/>
        <source>The Unknown Command!Please click &quot;History&quot;!</source>
        <translation>The Unknown Command!Please click &quot;History&quot;!</translation>
    </message>
    <message>
        <location filename="../bmsmainwin.cpp" line="4362"/>
        <location filename="../bmsmainwin.cpp" line="4378"/>
        <location filename="../bmsmainwin.cpp" line="5220"/>
        <location filename="../bmsmainwin.cpp" line="5223"/>
        <source>SOC</source>
        <translation>SOC</translation>
    </message>
    <message>
        <location filename="../bmsmainwin.cpp" line="4370"/>
        <location filename="../bmsmainwin.cpp" line="4411"/>
        <location filename="../bmsmainwin.cpp" line="4453"/>
        <location filename="../bmsmainwin.cpp" line="4495"/>
        <location filename="../bmsmainwin.cpp" line="5221"/>
        <location filename="../bmsmainwin.cpp" line="5226"/>
        <location filename="../bmsmainwin.cpp" line="5231"/>
        <location filename="../bmsmainwin.cpp" line="5236"/>
        <source>Time(min)</source>
        <translation>Time(min)</translation>
    </message>
    <message>
        <location filename="../bmsmainwin.cpp" line="4375"/>
        <location filename="../bmsmainwin.cpp" line="5222"/>
        <source>SOC(%)</source>
        <translation>SOC(%)</translation>
    </message>
    <message>
        <location filename="../bmsmainwin.cpp" line="4403"/>
        <location filename="../bmsmainwin.cpp" line="5225"/>
        <source>Volt of battery</source>
        <translation>Volt of battery</translation>
    </message>
    <message>
        <location filename="../bmsmainwin.cpp" line="4416"/>
        <location filename="../bmsmainwin.cpp" line="5227"/>
        <source>Volt(V)</source>
        <translation>Volt(V)</translation>
    </message>
    <message>
        <location filename="../bmsmainwin.cpp" line="4445"/>
        <location filename="../bmsmainwin.cpp" line="5230"/>
        <source>Current of battery</source>
        <translation>Current of battery</translation>
    </message>
    <message>
        <location filename="../bmsmainwin.cpp" line="4458"/>
        <location filename="../bmsmainwin.cpp" line="5232"/>
        <source>Current(A)</source>
        <translation>Current(A)</translation>
    </message>
    <message>
        <location filename="../bmsmainwin.cpp" line="4487"/>
        <location filename="../bmsmainwin.cpp" line="5235"/>
        <source>Temperature of battery</source>
        <translation>Temperature of battery</translation>
    </message>
    <message>
        <location filename="../bmsmainwin.cpp" line="4500"/>
        <location filename="../bmsmainwin.cpp" line="5237"/>
        <source>Temp(℃)</source>
        <translation>Temp(℃)</translation>
    </message>
    <message>
        <location filename="../bmsmainwin.cpp" line="4683"/>
        <location filename="../bmsmainwin.cpp" line="4689"/>
        <location filename="../bmsmainwin.cpp" line="4744"/>
        <location filename="../bmsmainwin.cpp" line="4796"/>
        <location filename="../bmsmainwin.cpp" line="4840"/>
        <location filename="../bmsmainwin.cpp" line="4846"/>
        <source>Time: </source>
        <translation>Time: </translation>
    </message>
    <message>
        <location filename="../bmsmainwin.cpp" line="4683"/>
        <location filename="../bmsmainwin.cpp" line="4689"/>
        <source>SOC: </source>
        <translation>SOC: </translation>
    </message>
    <message>
        <location filename="../bmsmainwin.cpp" line="4744"/>
        <source>Volt: </source>
        <translation>Volt: </translation>
    </message>
    <message>
        <location filename="../bmsmainwin.cpp" line="4796"/>
        <source>Curr: </source>
        <translation>Curr: </translation>
    </message>
    <message>
        <location filename="../bmsmainwin.cpp" line="4840"/>
        <location filename="../bmsmainwin.cpp" line="4846"/>
        <source>Temp: </source>
        <translation>Temp: </translation>
    </message>
    <message>
        <location filename="../bmsmainwin.cpp" line="376"/>
        <location filename="../bmsmainwin.cpp" line="5021"/>
        <source>PytesBat</source>
        <translation>PytesBat</translation>
    </message>
    <message>
        <location filename="../bmsmainwin.cpp" line="377"/>
        <location filename="../bmsmainwin.cpp" line="5021"/>
        <source>Do you wish to quit PytesBat?</source>
        <translation>Do you wish to quit PytesBat?</translation>
    </message>
</context>
<context>
    <name>BatteryGroup</name>
    <message>
        <location filename="../batterygroup.ui" line="20"/>
        <source>Form</source>
        <translation>Form</translation>
    </message>
    <message>
        <location filename="../batterygroup.ui" line="265"/>
        <source>CMOS State </source>
        <translation>CMOS State </translation>
    </message>
    <message>
        <location filename="../batterygroup.ui" line="312"/>
        <location filename="../batterygroup.cpp" line="675"/>
        <source>State:</source>
        <translation>State:</translation>
    </message>
    <message>
        <location filename="../batterygroup.ui" line="335"/>
        <location filename="../batterygroup.cpp" line="682"/>
        <source>Total Current:</source>
        <translation>Total Current:</translation>
    </message>
    <message>
        <location filename="../batterygroup.ui" line="357"/>
        <location filename="../batterygroup.cpp" line="676"/>
        <source>Present Num:</source>
        <translation>Present Num:</translation>
    </message>
    <message>
        <location filename="../batterygroup.ui" line="379"/>
        <location filename="../batterygroup.cpp" line="684"/>
        <source>Total SOH:</source>
        <translation>Total SOH:</translation>
    </message>
    <message>
        <location filename="../batterygroup.ui" line="401"/>
        <location filename="../batterygroup.cpp" line="681"/>
        <source>Total Voltage:</source>
        <translation>Total Voltage:</translation>
    </message>
    <message>
        <location filename="../batterygroup.ui" line="423"/>
        <location filename="../batterygroup.cpp" line="683"/>
        <source>Total SOC:</source>
        <translation>Total SOC:</translation>
    </message>
    <message>
        <location filename="../batterygroup.ui" line="479"/>
        <source>DMOS State </source>
        <translation>DMOS State </translation>
    </message>
    <message>
        <location filename="../batterygroup.ui" line="762"/>
        <source>Bat 9</source>
        <translation>Bat 9</translation>
    </message>
    <message>
        <location filename="../batterygroup.ui" line="814"/>
        <source>Bat 3</source>
        <translation>Bat 3</translation>
    </message>
    <message>
        <location filename="../batterygroup.ui" line="866"/>
        <source>Bat 14</source>
        <translation>Bat 14</translation>
    </message>
    <message>
        <location filename="../batterygroup.ui" line="918"/>
        <source>Bat 10</source>
        <translation>Bat 10</translation>
    </message>
    <message>
        <location filename="../batterygroup.ui" line="970"/>
        <source>Bat 5</source>
        <translation>Bat 5</translation>
    </message>
    <message>
        <location filename="../batterygroup.ui" line="1022"/>
        <source>Bat 4</source>
        <translation>Bat 4</translation>
    </message>
    <message>
        <location filename="../batterygroup.ui" line="1080"/>
        <source>Bat 1</source>
        <translation>Bat 1</translation>
    </message>
    <message>
        <location filename="../batterygroup.ui" line="1132"/>
        <source>Bat 16</source>
        <translation>Bat 16</translation>
    </message>
    <message>
        <location filename="../batterygroup.ui" line="1184"/>
        <source>Bat 12</source>
        <translation>Bat 12</translation>
    </message>
    <message>
        <location filename="../batterygroup.ui" line="1236"/>
        <source>Bat 2</source>
        <translation>Bat 2</translation>
    </message>
    <message>
        <location filename="../batterygroup.ui" line="1288"/>
        <source>Bat 7</source>
        <translation>Bat 7</translation>
    </message>
    <message>
        <location filename="../batterygroup.ui" line="1340"/>
        <source>Bat 8</source>
        <translation>Bat 8</translation>
    </message>
    <message>
        <location filename="../batterygroup.ui" line="1392"/>
        <source>Bat 13</source>
        <translation>Bat 13</translation>
    </message>
    <message>
        <location filename="../batterygroup.ui" line="1444"/>
        <source>Bat 11</source>
        <translation>Bat 11</translation>
    </message>
    <message>
        <location filename="../batterygroup.ui" line="1496"/>
        <source>Bat 15</source>
        <translation>Bat 15</translation>
    </message>
    <message>
        <location filename="../batterygroup.ui" line="1548"/>
        <source>Bat 6</source>
        <translation>Bat 6</translation>
    </message>
    <message>
        <location filename="../batterygroup.cpp" line="283"/>
        <source>State: --</source>
        <translation>State: --</translation>
    </message>
    <message>
        <location filename="../batterygroup.cpp" line="287"/>
        <source>State: </source>
        <translation>State: </translation>
    </message>
    <message>
        <location filename="../batterygroup.cpp" line="292"/>
        <source>Present Num: --</source>
        <translation>Present Num: --</translation>
    </message>
    <message>
        <location filename="../batterygroup.cpp" line="296"/>
        <source>Present Num: </source>
        <translation>Present Num: </translation>
    </message>
    <message>
        <location filename="../batterygroup.cpp" line="319"/>
        <source>Total Voltage: -- V</source>
        <translation>Total Voltage: -- V</translation>
    </message>
    <message>
        <location filename="../batterygroup.cpp" line="323"/>
        <source>Total Voltage: </source>
        <translation>Total Voltage: </translation>
    </message>
    <message>
        <location filename="../batterygroup.cpp" line="328"/>
        <source>Total Current: -- A</source>
        <translation>Total Current: -- A</translation>
    </message>
    <message>
        <location filename="../batterygroup.cpp" line="332"/>
        <source>Total Current: </source>
        <translation>Total Current: </translation>
    </message>
    <message>
        <location filename="../batterygroup.cpp" line="337"/>
        <source>Total SOC: -- %</source>
        <translation>Total SOC: -- %</translation>
    </message>
    <message>
        <location filename="../batterygroup.cpp" line="341"/>
        <source>Total SOC: </source>
        <translation>Total SOC: </translation>
    </message>
    <message>
        <location filename="../batterygroup.cpp" line="346"/>
        <source>Total SOH: -- %</source>
        <translation>Total SOH: -- %</translation>
    </message>
    <message>
        <location filename="../batterygroup.cpp" line="350"/>
        <source>Total SOH: </source>
        <translation>Total SOH: </translation>
    </message>
    <message>
        <location filename="../batterygroup.cpp" line="367"/>
        <source>BasicState: bat</source>
        <translation>BasicState: bat</translation>
    </message>
    <message>
        <location filename="../batterygroup.cpp" line="372"/>
        <source>VoltState: bat</source>
        <translation>VoltState: bat</translation>
    </message>
    <message>
        <location filename="../batterygroup.cpp" line="378"/>
        <source>CurrState: bat</source>
        <translation>CurrState: bat</translation>
    </message>
    <message>
        <location filename="../batterygroup.cpp" line="383"/>
        <source>TempState: bat</source>
        <translation>TempState: bat</translation>
    </message>
    <message>
        <location filename="../batterygroup.cpp" line="388"/>
        <source>CellVolState: bat</source>
        <translation>CellVolState: bat</translation>
    </message>
    <message>
        <location filename="../batterygroup.cpp" line="393"/>
        <source>CellTempState: bat</source>
        <translation>CellTempState: bat</translation>
    </message>
    <message>
        <location filename="../batterygroup.cpp" line="397"/>
        <source>AlarmTime: bat</source>
        <translation>AlarmTime: bat</translation>
    </message>
</context>
<context>
    <name>BatteryInfo</name>
    <message>
        <location filename="../batteryinfo.ui" line="25"/>
        <source>Form</source>
        <translation>Form</translation>
    </message>
    <message>
        <location filename="../batteryinfo.ui" line="159"/>
        <location filename="../batteryinfo.cpp" line="696"/>
        <source>SOH:</source>
        <translation>SOH:</translation>
    </message>
    <message>
        <location filename="../batteryinfo.ui" line="175"/>
        <location filename="../batteryinfo.cpp" line="705"/>
        <source>Min Vol ID:</source>
        <translation>Min Vol ID:</translation>
    </message>
    <message>
        <location filename="../batteryinfo.ui" line="191"/>
        <location filename="../batteryinfo.cpp" line="704"/>
        <source>Max Vol ID:</source>
        <translation>Max Vol ID:</translation>
    </message>
    <message>
        <location filename="../batteryinfo.ui" line="207"/>
        <location filename="../batteryinfo.cpp" line="699"/>
        <source>Temp:</source>
        <translation>Temp:</translation>
    </message>
    <message>
        <location filename="../batteryinfo.ui" line="223"/>
        <location filename="../batteryinfo.cpp" line="697"/>
        <source>Capacity:</source>
        <translation>Capacity:</translation>
    </message>
    <message>
        <location filename="../batteryinfo.ui" line="245"/>
        <location filename="../batteryinfo.cpp" line="701"/>
        <source>Max Voltage:</source>
        <translation>Max Voltage:</translation>
    </message>
    <message>
        <location filename="../batteryinfo.ui" line="261"/>
        <location filename="../batteryinfo.cpp" line="703"/>
        <source>Vol Difference:</source>
        <translation>Vol Difference:</translation>
    </message>
    <message>
        <location filename="../batteryinfo.ui" line="283"/>
        <location filename="../batteryinfo.cpp" line="695"/>
        <source>SOC:</source>
        <translation>SOC:</translation>
    </message>
    <message>
        <location filename="../batteryinfo.ui" line="305"/>
        <location filename="../batteryinfo.cpp" line="702"/>
        <source>Min Voltage:</source>
        <translation>Min Voltage:</translation>
    </message>
    <message>
        <location filename="../batteryinfo.ui" line="321"/>
        <location filename="../batteryinfo.cpp" line="698"/>
        <source>Current:</source>
        <translation>Current:</translation>
    </message>
    <message>
        <location filename="../batteryinfo.ui" line="337"/>
        <location filename="../batteryinfo.cpp" line="706"/>
        <source>Basic Status:</source>
        <translation>Basic Status:</translation>
    </message>
    <message>
        <location filename="../batteryinfo.ui" line="353"/>
        <location filename="../batteryinfo.cpp" line="707"/>
        <source>System Fault:</source>
        <translation>System Fault:</translation>
    </message>
    <message>
        <location filename="../batteryinfo.ui" line="529"/>
        <location filename="../batteryinfo.cpp" line="716"/>
        <source>Boot Version:</source>
        <translation>Boot Version:</translation>
    </message>
    <message>
        <location filename="../batteryinfo.ui" line="551"/>
        <location filename="../batteryinfo.cpp" line="719"/>
        <source>Main Soft Version:</source>
        <translation>Main Soft Version:</translation>
    </message>
    <message>
        <location filename="../batteryinfo.ui" line="576"/>
        <location filename="../batteryinfo.cpp" line="720"/>
        <source>Comm Version:</source>
        <translation>Comm Version:</translation>
    </message>
    <message>
        <location filename="../batteryinfo.ui" line="601"/>
        <location filename="../batteryinfo.cpp" line="723"/>
        <source>Cell Number:</source>
        <translation>Cell Number:</translation>
    </message>
    <message>
        <location filename="../batteryinfo.ui" line="626"/>
        <location filename="../batteryinfo.cpp" line="721"/>
        <source>Max Charge Current:</source>
        <translation>Max Charge Current:</translation>
    </message>
    <message>
        <location filename="../batteryinfo.ui" line="651"/>
        <location filename="../batteryinfo.cpp" line="722"/>
        <source>Release Date:</source>
        <translation>Release Date:</translation>
    </message>
    <message>
        <location filename="../batteryinfo.ui" line="676"/>
        <location filename="../batteryinfo.cpp" line="717"/>
        <source>Barcode:</source>
        <translation>Barcode:</translation>
    </message>
    <message>
        <location filename="../batteryinfo.ui" line="701"/>
        <location filename="../batteryinfo.cpp" line="718"/>
        <source>Specification:</source>
        <translation>Specification:</translation>
    </message>
    <message>
        <location filename="../batteryinfo.ui" line="726"/>
        <location filename="../batteryinfo.cpp" line="715"/>
        <source>Device Address:</source>
        <translation>Device Address:</translation>
    </message>
    <message>
        <location filename="../batteryinfo.cpp" line="292"/>
        <source>Device Address: --</source>
        <translation>Device Address: --</translation>
    </message>
    <message>
        <location filename="../batteryinfo.cpp" line="296"/>
        <source>Device Address: </source>
        <translation>Device Address: </translation>
    </message>
    <message>
        <location filename="../batteryinfo.cpp" line="301"/>
        <source>Boot Version: --</source>
        <translation>Boot Version: --</translation>
    </message>
    <message>
        <location filename="../batteryinfo.cpp" line="305"/>
        <source>Boot Version: </source>
        <translation>Boot Version: </translation>
    </message>
    <message>
        <location filename="../batteryinfo.cpp" line="310"/>
        <source>Barcode: --</source>
        <translation>Barcode: --</translation>
    </message>
    <message>
        <location filename="../batteryinfo.cpp" line="314"/>
        <source>Barcode: </source>
        <translation>Barcode: </translation>
    </message>
    <message>
        <location filename="../batteryinfo.cpp" line="319"/>
        <source>Specification: --</source>
        <translation>Specification: --</translation>
    </message>
    <message>
        <location filename="../batteryinfo.cpp" line="323"/>
        <source>Specification: </source>
        <translation>Specification: </translation>
    </message>
    <message>
        <location filename="../batteryinfo.cpp" line="328"/>
        <source>Main Soft Version: --</source>
        <translation>Main Soft Version: --</translation>
    </message>
    <message>
        <location filename="../batteryinfo.cpp" line="332"/>
        <source>Main Soft Version: </source>
        <translation>Main Soft Version: </translation>
    </message>
    <message>
        <location filename="../batteryinfo.cpp" line="337"/>
        <source>Comm Version: --</source>
        <translation>Comm Version: --</translation>
    </message>
    <message>
        <location filename="../batteryinfo.cpp" line="341"/>
        <source>Comm Version: </source>
        <translation>Comm Version: </translation>
    </message>
    <message>
        <location filename="../batteryinfo.cpp" line="345"/>
        <source>Max Charge Current: --</source>
        <translation>Max Charge Current: --</translation>
    </message>
    <message>
        <location filename="../batteryinfo.cpp" line="349"/>
        <source>Max Charge Current: </source>
        <translation>Max Charge Current: </translation>
    </message>
    <message>
        <location filename="../batteryinfo.cpp" line="353"/>
        <source>Release Date: --</source>
        <translation>Release Date: --</translation>
    </message>
    <message>
        <location filename="../batteryinfo.cpp" line="357"/>
        <source>Release Date: </source>
        <translation>Release Date: </translation>
    </message>
    <message>
        <location filename="../batteryinfo.cpp" line="362"/>
        <source>Cell Number: --</source>
        <translation>Cell Number: --</translation>
    </message>
    <message>
        <location filename="../batteryinfo.cpp" line="366"/>
        <source>Cell Number: </source>
        <translation>Cell Number: </translation>
    </message>
    <message>
        <location filename="../batteryinfo.cpp" line="375"/>
        <source>SOC: -- %</source>
        <translation>SOC: -- %</translation>
    </message>
    <message>
        <location filename="../batteryinfo.cpp" line="379"/>
        <source>SOC: </source>
        <translation>SOC: </translation>
    </message>
    <message>
        <location filename="../batteryinfo.cpp" line="384"/>
        <source>SOH: -- %</source>
        <translation>SOH: -- %</translation>
    </message>
    <message>
        <location filename="../batteryinfo.cpp" line="388"/>
        <source>SOH: </source>
        <translation>SOH: </translation>
    </message>
    <message>
        <location filename="../batteryinfo.cpp" line="393"/>
        <source>Capacity: -- AH</source>
        <translation>Capacity: -- AH</translation>
    </message>
    <message>
        <location filename="../batteryinfo.cpp" line="397"/>
        <source>Capacity: </source>
        <translation>Capacity: </translation>
    </message>
    <message>
        <location filename="../batteryinfo.cpp" line="402"/>
        <source>Current: -- A</source>
        <translation>Current: -- A</translation>
    </message>
    <message>
        <location filename="../batteryinfo.cpp" line="406"/>
        <source>Current: </source>
        <translation>Current: </translation>
    </message>
    <message>
        <location filename="../batteryinfo.cpp" line="411"/>
        <source>Temp: -- ℃</source>
        <translation>Temp: -- ℃</translation>
    </message>
    <message>
        <location filename="../batteryinfo.cpp" line="415"/>
        <source>Temp: </source>
        <translation>Temp: </translation>
    </message>
    <message>
        <location filename="../batteryinfo.cpp" line="420"/>
        <source>Max Voltage: -- V</source>
        <translation>Max Voltage: -- V</translation>
    </message>
    <message>
        <location filename="../batteryinfo.cpp" line="425"/>
        <source>Max Voltage: </source>
        <translation>Max Voltage: </translation>
    </message>
    <message>
        <location filename="../batteryinfo.cpp" line="430"/>
        <source>Min Voltage: -- V</source>
        <translation>Min Voltage: -- V</translation>
    </message>
    <message>
        <location filename="../batteryinfo.cpp" line="434"/>
        <source>Min Voltage: </source>
        <translation>Min Voltage: </translation>
    </message>
    <message>
        <location filename="../batteryinfo.cpp" line="439"/>
        <source>Vol Difference: -- V</source>
        <translation>Vol Difference: -- V</translation>
    </message>
    <message>
        <location filename="../batteryinfo.cpp" line="443"/>
        <source>Vol Difference: </source>
        <translation>Vol Difference: </translation>
    </message>
    <message>
        <location filename="../batteryinfo.cpp" line="448"/>
        <source>Max Vol ID: --</source>
        <translation>Max Vol ID: --</translation>
    </message>
    <message>
        <location filename="../batteryinfo.cpp" line="452"/>
        <source>Max Vol ID: </source>
        <translation>Max Vol ID: </translation>
    </message>
    <message>
        <location filename="../batteryinfo.cpp" line="457"/>
        <source>Min Vol ID: --</source>
        <translation>Min Vol ID: --</translation>
    </message>
    <message>
        <location filename="../batteryinfo.cpp" line="461"/>
        <source>Min Vol ID: </source>
        <translation>Min Vol ID: </translation>
    </message>
    <message>
        <location filename="../batteryinfo.cpp" line="467"/>
        <source>Basic Status: --</source>
        <translation>Basic Status: --</translation>
    </message>
    <message>
        <location filename="../batteryinfo.cpp" line="471"/>
        <source>Basic Status: </source>
        <translation>Basic Status: </translation>
    </message>
    <message>
        <location filename="../batteryinfo.cpp" line="476"/>
        <source>System Fault: --</source>
        <translation>System Fault: --</translation>
    </message>
    <message>
        <location filename="../batteryinfo.cpp" line="480"/>
        <source>System Fault: </source>
        <translation>System Fault: </translation>
    </message>
    <message>
        <location filename="../batteryinfo.cpp" line="500"/>
        <source>Volt</source>
        <translation>Volt</translation>
    </message>
    <message>
        <location filename="../batteryinfo.cpp" line="504"/>
        <source>Temp</source>
        <translation>Temp</translation>
    </message>
    <message>
        <location filename="../batteryinfo.cpp" line="583"/>
        <location filename="../batteryinfo.cpp" line="896"/>
        <source>Cell Volt-Temp</source>
        <translation>Cell Volt-Temp</translation>
    </message>
    <message>
        <location filename="../batteryinfo.cpp" line="597"/>
        <location filename="../batteryinfo.cpp" line="897"/>
        <source>Cell ID</source>
        <translation>Cell ID</translation>
    </message>
    <message>
        <location filename="../batteryinfo.cpp" line="603"/>
        <location filename="../batteryinfo.cpp" line="630"/>
        <location filename="../batteryinfo.cpp" line="631"/>
        <location filename="../batteryinfo.cpp" line="893"/>
        <location filename="../batteryinfo.cpp" line="894"/>
        <location filename="../batteryinfo.cpp" line="898"/>
        <source>Volt(V)</source>
        <translation>Volt(V)</translation>
    </message>
    <message>
        <location filename="../batteryinfo.cpp" line="609"/>
        <location filename="../batteryinfo.cpp" line="630"/>
        <location filename="../batteryinfo.cpp" line="631"/>
        <location filename="../batteryinfo.cpp" line="893"/>
        <location filename="../batteryinfo.cpp" line="894"/>
        <location filename="../batteryinfo.cpp" line="899"/>
        <source>Temp(℃)</source>
        <translation>Temp(℃)</translation>
    </message>
    <message>
        <location filename="../batteryinfo.cpp" line="630"/>
        <location filename="../batteryinfo.cpp" line="631"/>
        <location filename="../batteryinfo.cpp" line="893"/>
        <location filename="../batteryinfo.cpp" line="894"/>
        <source>Cell Id</source>
        <translation>Cell Id</translation>
    </message>
</context>
<context>
    <name>CrashReportDialog</name>
    <message>
        <location filename="../crashreportdialog.ui" line="26"/>
        <source>Dialog</source>
        <translation>Dialog</translation>
    </message>
    <message>
        <location filename="../crashreportdialog.ui" line="40"/>
        <source>Sorry, This app was crashed last time!</source>
        <translation>Sorry, This app was crashed last time!</translation>
    </message>
    <message>
        <location filename="../crashreportdialog.ui" line="68"/>
        <source>Please send us the files that  popped up in the &quot;File window&quot;. So we can solve the App-crash problem.</source>
        <translation>Please send us the files that  popped up in the &quot;File window&quot;. So we can solve the App-crash problem.</translation>
    </message>
    <message>
        <location filename="../crashreportdialog.ui" line="103"/>
        <source>Ok</source>
        <translation>Ok</translation>
    </message>
</context>
<context>
    <name>DataEvent</name>
    <message>
        <location filename="../dataevent.ui" line="14"/>
        <source>Form</source>
        <translation>Form</translation>
    </message>
</context>
<context>
    <name>TransProgress</name>
    <message>
        <location filename="../transprogress.ui" line="14"/>
        <source>Form</source>
        <translation>Form</translation>
    </message>
    <message>
        <location filename="../transprogress.ui" line="29"/>
        <source>Transmit Progress:</source>
        <translation>Transmit Progress:</translation>
    </message>
    <message>
        <location filename="../transprogress.cpp" line="9"/>
        <source>Transmit</source>
        <translation>Transmit</translation>
    </message>
</context>
<context>
    <name>UpdataLogin</name>
    <message>
        <location filename="../updatelogin.cpp" line="16"/>
        <location filename="../updatelogin.cpp" line="49"/>
        <source>Notice</source>
        <translation>Notice</translation>
    </message>
    <message>
        <location filename="../updatelogin.cpp" line="49"/>
        <source>The Password is empty!</source>
        <translation>The Password is empty!</translation>
    </message>
</context>
<context>
    <name>UpdateLogin</name>
    <message>
        <location filename="../updatelogin.ui" line="14"/>
        <source>Form</source>
        <translation>Form</translation>
    </message>
    <message>
        <location filename="../updatelogin.ui" line="34"/>
        <source>Notice:Battery will be dead if uploading worry firmware!</source>
        <translation>Notice:Battery will be dead if uploading worry firmware!</translation>
    </message>
    <message>
        <location filename="../updatelogin.ui" line="56"/>
        <source>password：</source>
        <translation>password：</translation>
    </message>
</context>
<context>
    <name>WaitConfig</name>
    <message>
        <location filename="../waitconfig.ui" line="14"/>
        <source>Form</source>
        <translation>Form</translation>
    </message>
    <message>
        <location filename="../waitconfig.ui" line="42"/>
        <source>Please wait for the host to upgrade !</source>
        <translation>Please wait for the host to upgrade !</translation>
    </message>
    <message>
        <location filename="../waitconfig.cpp" line="9"/>
        <source>Waiting</source>
        <translation>Waiting</translation>
    </message>
</context>
</TS>
